package com.axelor.apps.hr.service;

import com.axelor.apps.hr.db.DailyReport;
import com.google.inject.persist.Transactional;
import com.axelor.exception.AxelorException;
import java.math.BigDecimal;
import java.util.List;

public interface DailyReportService {

  @Transactional
  void workingHours(DailyReport DailyReport);

  @Transactional
  void determineShift(DailyReport DailyReport);

  @Transactional(rollbackOn = {Exception.class})
  public void deducePrimes(DailyReport DailyReport, Integer primeSelection, BigDecimal valueToDeduce) throws AxelorException ;

  @Transactional(rollbackOn = {Exception.class})
  public void massDeducePrimes(List<DailyReport> DailyReportList, Integer primeSelection, BigDecimal valueToDeduce) throws AxelorException;
}
